## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global nagiospluginsdir %{_libdir}/nagios/plugins
Name:           python-nagios-plugins-check_systemd
Version:        2.3.1
Release:        %autorelease
Summary:        Nagios plugin to check systemd

License:        LGPL-2.1-only
URL:            https://exchange.icinga.com/joseffriedrich/check_systemd
Source:         https://github.com/Josef-Friedrich/check_systemd/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python3-devel

# The package does not contain any architecture-dependent things, but installs
# into an arch-dependend directory. Thus, it cannot be noarch, but it does not
# provide any debuginfo.
%global debug_package %{nil}

%global _description %{expand:
This systemd check for nagios compatible monitoring systems will report a
degraded systemd to your monitoring solution. It can also be used to monitor
individual systemd services and timers units.}

%description %_description

%package -n python3-nagios-plugins-check_systemd
Summary:        Nagios plugin to check systemd

%description -n python3-nagios-plugins-check_systemd %_description


%prep
%autosetup -p1 -n check_systemd-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

# The nagios plugin binaries must be in the nagiospluginsdir.
mkdir -p %{buildroot}/%{nagiospluginsdir}
mv %{buildroot}/%{_bindir}/check_systemd* %{buildroot}/%{nagiospluginsdir}


%check
PYTHONPATH=%{buildroot}/%{nagiospluginsdir}:${PYTHONPATH} PATH=%{buildroot}/%{nagiospluginsdir}:${PATH} %tox


%files -n python3-nagios-plugins-check_systemd
%doc README.*
%license LICENSE
%{nagiospluginsdir}/*
%{python3_sitelib}/check_systemd-%{version}.dist-info


%changelog
* Tue Oct 04 2022 Till Hofmann <thofmann@fedoraproject.org> 2.3.1-4
- Fix check by adding nagios plugins dir to PYTHONPATH

* Tue Oct 04 2022 Till Hofmann <thofmann@fedoraproject.org> 2.3.1-3
- Switch license to SPDX identifier and LGPL-2.1-only

* Sun May 08 2022 Till Hofmann <thofmann@fedoraproject.org> 2.3.1-2
- Do not mark package noarch but disable debuginfo instead

* Sun May 08 2022 Till Hofmann <thofmann@fedoraproject.org> 2.3.1-1
- Initial package
